Package weka.core.pmml.jaxbbindings

# Class Cluster

java.lang.Object
weka.core.pmml.jaxbbindings.Cluster

public class Cluster extends Object

Java class for Cluster element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Cluster">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}KohonenMap" minOccurs="0"/>
               <group ref="{http://www.dmg.org/PMML-4_1}NUM-ARRAY" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Partition" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Covariances" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="size" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Cluster()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayType`
  `getArray()`
  Gets the value of the array property.
  `Covariances`
  `getCovariances()`
  Gets the value of the covariances property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getId()`
  Gets the value of the id property.
  `KohonenMap`
  `getKohonenMap()`
  Gets the value of the kohonenMap property.
  `String`
  `getName()`
  Gets the value of the name property.
  `Partition`
  `getPartition()`
  Gets the value of the partition property.
  `BigInteger`
  `getSize()`
  Gets the value of the size property.
  `void`
  `setArray(ArrayType value)`
  Sets the value of the array property.
  `void`
  `setCovariances(Covariances value)`
  Sets the value of the covariances property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setKohonenMap(KohonenMap value)`
  Sets the value of the kohonenMap property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setPartition(Partition value)`
  Sets the value of the partition property.
  `void`
  `setSize(BigInteger value)`
  Sets the value of the size property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Cluster

    public Cluster()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getKohonenMap

    public KohonenMap getKohonenMap()
    Gets the value of the kohonenMap property.
    Returns:
      possible object is `KohonenMap`

  - ### setKohonenMap

    public void setKohonenMap(KohonenMap value)
    Sets the value of the kohonenMap property.
    Parameters:
      `value` - allowed object is `KohonenMap`

  - ### getArray

    public ArrayType getArray()
    Gets the value of the array property.
    Returns:
      possible object is `ArrayType`

  - ### setArray

    public void setArray(ArrayType value)
    Sets the value of the array property.
    Parameters:
      `value` - allowed object is `ArrayType`

  - ### getPartition

    public Partition getPartition()
    Gets the value of the partition property.
    Returns:
      possible object is `Partition`

  - ### setPartition

    public void setPartition(Partition value)
    Sets the value of the partition property.
    Parameters:
      `value` - allowed object is `Partition`

  - ### getCovariances

    public Covariances getCovariances()
    Gets the value of the covariances property.
    Returns:
      possible object is `Covariances`

  - ### setCovariances

    public void setCovariances(Covariances value)
    Sets the value of the covariances property.
    Parameters:
      `value` - allowed object is `Covariances`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSize

    public BigInteger getSize()
    Gets the value of the size property.
    Returns:
      possible object is `BigInteger`

  - ### setSize

    public void setSize(BigInteger value)
    Sets the value of the size property.
    Parameters:
      `value` - allowed object is `BigInteger`